VERSION 5.00
Object = "{16CAB470-50A2-4D95-AC57-3BB27FD0B306}#1.0#0"; "AkemiPowerPack.ocx"
Begin VB.Form frmMain 
   Caption         =   "Form1"
   ClientHeight    =   4845
   ClientLeft      =   195
   ClientTop       =   900
   ClientWidth     =   5880
   LinkTopic       =   "Form1"
   ScaleHeight     =   4845
   ScaleWidth      =   5880
   StartUpPosition =   3  'Windows Default
   Begin AkemiPowerPack.Splitter Splitter1 
      Height          =   1095
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   1575
      _ExtentX        =   0
      _ExtentY        =   0
      SplitterOffset  =   107
   End
   Begin VB.Menu mnumFile 
      Caption         =   "File"
      Begin VB.Menu mnumNewWindow 
         Caption         =   "New Window"
      End
   End
   Begin VB.Menu mnumView 
      Caption         =   "View"
      Begin VB.Menu mnumViewIndex 
         Caption         =   "Index"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnumViewSearch 
         Caption         =   "Search"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'This example is a variation on SplitterDemo1, which
'allows for multiple instances of the containing form.

'This example also demonstrates how to centralize
'program logic in a single form, by raising events in
'the child forms, and handling them in the parent form.

'Private variables store an instance of each child
'form used by frmMain.
Private WithEvents cfmmAbout As cfmAbout
Attribute cfmmAbout.VB_VarHelpID = -1
Private WithEvents cfmmNavigation As cfmNavigation
Attribute cfmmNavigation.VB_VarHelpID = -1

'The other child forms don't raise any events, so
'don't need to be declared WithEvents.
Private cfmmPage1 As cfmPage1
Private cfmmPage2 As cfmPage2
Private cfmmSearch As cfmSearch

Private Sub cfmmAbout_ToggleSplitter()
    If Splitter1.Orientation = SplitterHorizontal Then
        Splitter1.Orientation = SplitterVertical
    Else
        Splitter1.Orientation = SplitterHorizontal
    End If
End Sub

Private Sub cfmmNavigation_LoadNavigation(tvNavigation As MSComctlLib.TreeView)
    'Initialize the Treeview
    tvNavigation.Nodes.Add , , "About", "About"
    tvNavigation.Nodes.Add , , "Page1", "Page1"
    tvNavigation.Nodes.Add , , "Page2", "Page2"
End Sub

Private Sub cfmmNavigation_SelectPage(ByVal sPage As String)
    'Set the Active Page based on which node was clicked.
    'Use a new instance of whichever page is selected.
    Select Case sPage
        Case "About"
            Set ActivePage = cfmmAbout
        Case "Page1"
            Set ActivePage = cfmmPage1
        Case "Page2"
            Set ActivePage = cfmmPage2
    End Select
End Sub

Private Sub Form_Load()
    Dim cfmNavigationInstance As cfmNavigation
    
    'Make the splitter control take up
    'the whole form.
    Splitter1.AlignToClient = True
    
    'Create child form instances.
    Set cfmmAbout = New cfmAbout
    Set cfmmNavigation = New cfmNavigation
    Set cfmmPage1 = New cfmPage1
    Set cfmmPage2 = New cfmPage2
    Set cfmmSearch = New cfmSearch
    
    'Set the current child forms.
    Set Splitter1.ChildForm1 = cfmmNavigation
    Set ActivePage = cfmmAbout
End Sub

Public Property Set ActivePage(ByRef frm As Form)
    Set Splitter1.ChildForm2 = frm
End Property

Public Property Get ActivePage() As Form
    Set ActivePage = Splitter1.ChildForm2
End Property

Private Sub mnumNewWindow_Click()
    Dim NewMainForm As frmMain
    
    'Create a new instance of frmMain
    Set NewMainForm = New frmMain
    'Show the new instance of frmMain.
    NewMainForm.Show
End Sub

Private Sub mnumViewIndex_Click()
    Set Splitter1.ChildForm1 = cfmmNavigation
    'Indicate on the menu, which view is selected.
    mnumViewSearch.Checked = False
    mnumViewIndex.Checked = True
End Sub

Private Sub mnumViewSearch_Click()
    Set Splitter1.ChildForm1 = cfmmSearch
    'Indicate on the menu, which view is selected.
    mnumViewSearch.Checked = True
    mnumViewIndex.Checked = False
End Sub
